##
## Makefile for Makefile in /home/InfoCraft/
##
## Made by Julien Roulleau
## Login   <julien.roulleau@epitech.net>
##
## Started on  Fri Oct 14 11:33:42 2016 Julien Roulleau
## Last update Sat Apr 29 19:41:54 2017 Roulleau Julien
##

SRC	=	is/is.c						\
		nbr/my_getnbr.c					\
		nbr/my_nbrlen.c					\
		nbr/my_putnbr.c					\
		str/get_next_line.c				\
		str/epur_str.c					\
		str/my_strcat.c					\
		str/my_strcmp.c					\
		str/my_putstr.c					\
		str/my_strdup.c					\
		str/my_strlen.c					\
		str/str_to_wordtab.c				\
		list/list.c					\
		list/add_node.c					\
		list/tab_list.c					\
		my_printf/my_printf.c				\
		my_printf/print_type/print_type.c		\
		my_printf/print_type/print_special.c		\
		my_printf/print_type/print_type_base.c		\
		my_printf/print_type/print_type_base_2.c	\

OBJ	=	$(SRC:.c=.o)

NAME	=	libsrc.a

CC	= 	gcc

CFLAGS	=	-W -Wall -Werror -Wextra
CFLAGS	+=	-I./inc/

BUILD	=	ar rc $(NAME) $(OBJ)

## Rule

all:	$(NAME)
	mv $(NAME) ../

$(NAME):	$(OBJ)
	$(BUILD)

## Aux

.PHONY:	clean fclean re

clean:
	rm -f $(OBJ)

fclean:
	rm -f ../$(NAME)

re:	fclean all
